curl --request GET \
--url https://{host}/member/v1/members/{memberId} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/member/v1/members/{memberId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/member/v1/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memberId": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"genderId": "NotSelected",
"genderDisplayName": "<string>",
"email": "<string>",
"phone": "<string>",
"selectedStoreId": "<string>",
"cooperatives": [
"<string>"
],
"address": {
"zipCode": "<string>",
"city": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"region": "<string>",
"countryCode": "<string>"
},
"metadata": {},
"loyaltyProgram": "<string>",
"isEmployee": true,
"nationality": "<string>",
"deceased": true,
"homeTelephone": "<string>",
"isMembershipFeePaid": true,
"isActive": true,
"isDeleted": true,
"personalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"displayName": "<string>",
"value": null,
"type": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Returns information about a specific member
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Member ID
36Response
OK
Member ID
Member's date of birth
Member's first name
Member's last name
NotSelected, Male, Female, NotProvided Localized display name for the member's gender
Member's email address
Member's phone number
ID of the member's selected store
List of cooperatives the member belongs to
Show child attributes
Show child attributes
Additional metadata associated with the member
Show child attributes
Show child attributes
Loyalty program or tier (e.g., Silver, Gold, Freemium)
Indicates whether the member is an employee
Member's nationality
Indicates whether the member is deceased
Member's home telephone number
Indicates whether the membership fee has been paid
Indicates whether the member account is active
Indicates whether the member account has been deleted
Personal identification number (used for employee bonuses feature)
Date and time when the member was created
Custom typed properties registered via the property definitions API
Show child attributes
Show child attributes